Search components by free term, vendor, component or both
curl --request GET \
--url https://api.scanoss.com/v3/components/searchimport requests
url = "https://api.scanoss.com/v3/components/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.scanoss.com/v3/components/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"components": [
{
"purl": "pkg:github/scanoss/engine",
"url": "<string>",
"name": "engine"
}
],
"status": {
"status": "SUCCESS",
"message": "<string>"
}
}{
"status": "error",
"error": {
"code": "INVALID_QUERY",
"message": "purl query parameter is required"
},
"timestamp": "2026-05-19T11:39:56Z"
}{
"status": "error",
"error": {
"code": "INTERNAL_ERROR",
"message": "..."
},
"timestamp": "2026-05-19T11:39:56Z"
}{
"status": "error",
"error": {
"code": "TIMEOUT",
"message": "request timed out"
},
"timestamp": "2026-05-19T11:39:56Z"
}components
Search components by free term, vendor, component or both
At least one of search, vendor, component must be present.
When search is set it takes precedence and a 6-pass plan is run
across projects.component, projects.vendor and
projects.purl_name. Otherwise the handler picks a 2- or 4-pass
plan based on which filters are populated. Results are deduped by
purl across passes and truncated to limit.
GET
/
v3
/
components
/
search
Search components by free term, vendor, component or both
Query Parameters
Free-form search term. Overrides vendor/component when present.
purl type (github, npm, pypi, gem, maven, …). Defaults to github.
Required range:
x >= 1Required range:
x >= 0